Subject: Re: [bug#53765] V3 Patches

From: Reily Siegel <[email-masked]>
Date: Sat, 16 Apr 2022 21:35:27 +0200

Maxime Devos <[email-masked]> writes:

> Theoretically, the freedoms seem to be preserved here.  However, at
> least currently, Cognitect is making exercising some of these freedoms
> pointlessly difficult.
>
> TBC, I'm not saying that Cognitect must make things easy, rather the
> making things hard (by keeping the compiler, or translator, secret) is
> what I consider the problem here.

Per this issue [1] on the aws-api GitHub, Cognitect has stated that the
translation code (they call it a generator) is not open source when
asked by a community member to view the source. As for why this is, I
couldn't guess, it seems to be a relatively trivial piece of code. Is
this issue blocking for the inclusion of the package?

[1]: https://github.com/cognitect-labs/aws-api/issues/116

-- 
Reily Siegel